1 2 3 4 Previous Next 47 Replies Latest reply: Jan 14, 2013 5:15 PM by 741640 RSS

    Oracle 11g R2 DB Failed Installation on CentOS 6.3

    741640
      Hello,
      I am having hard time installing Oracle 11g R2 (11.2.0.1.0) on CentOs 6.3 64-bit. I've ran the following command to check and install all prerequisites.

      #> yum install oracle-rdbms-server-11gR2-preinstall.x86_64

      However when I run the installer:

      #> ./runInstaller -silent -force \
      FROM_LOCATION=/tmp/database/stage/products.xml \
      oracle.install.option=INSTALL_DB_SWONLY \
      UNIX_GROUP_NAME=oinstall \
      ORACLE_HOME=/data01/app/oracle/product/11.2.0/db_1 \
      ORACLE_HOME_NAME="db_1" \
      ORACLE_BASE=/data01/app/oracle \
      oracle.install.db.InstallEdition=SE \
      oracle.install.db.isCustomInstall=false \
      oracle.install.db.DBA_GROUP=dba \
      oracle.install.db.OPER_GROUP=dba \
      DECLINE_SECURITY_UPDATES=true

      it fails at checking prerequisites and I see the following messages in the log:

      ---------------------------------------
      INFO: Physical Memory: This is a prerequisite condition to test whether the system has at least 1GB (1048576.0KB) of total physical memory.
      INFO: Severity:IGNORABLE
      INFO: OverallStatus:VERIFICATION_FAILED
      INFO: -----------------------------------------------
      INFO: Verification Result for Node:dev01-cs-ord1
      INFO: Expected Value:1GB (1048576.0KB)
      INFO: Actual Value:992.41MB (1016228.0KB)
      INFO: Error Message:PRVF-7530 : Sufficient physical memory is not available on node "dev01-cs-ord1" [Required physical memory = 1GB (1048576.0KB)]
      INFO: Cause: Amount of physical memory (RAM) found does not meet minimum memory requirements.
      INFO: Action: Add physical memory (RAM) to the node specified.
      INFO: *********************************************
      INFO: Package: libaio-0.3.105: This is a prerequisite condition to test whether the package "libaio-0.3.105" is available on the system.
      INFO: Severity:IGNORABLE
      INFO: OverallStatus:VERIFICATION_FAILED
      INFO: -----------------------------------------------
      INFO: Verification Result for Node:dev01-cs-ord1
      INFO: Expected Value:libaio-0.3.105 (i386)
      INFO: Actual Value:missing
      INFO: Error Message:PRVF-7532 : Package "libaio-0.3.105 (i386)" is missing on node "dev01-cs-ord1"
      INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
      INFO: Action: Ensure that the required package is installed and available.
      INFO: *********************************************
      INFO: Package: glibc-2.3.4-2.41: This is a prerequisite condition to test whether the package "glibc-2.3.4-2.41" is available on the system.
      INFO: Severity:CRITICAL
      INFO: OverallStatus:VERIFICATION_FAILED
      INFO: -----------------------------------------------
      INFO: Verification Result for Node:dev01-cs-ord1
      INFO: Expected Value:glibc-2.3.4-2.41 (i686)
      INFO: Actual Value:missing
      INFO: Error Message:PRVF-7532 : Package "glibc-2.3.4-2.41 (i686)" is missing on node "dev01-cs-ord1"
      INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
      INFO: Action: Ensure that the required package is installed and available.
      INFO: *********************************************
      INFO: Package: compat-libstdc++-33-3.2.3: This is a prerequisite condition to test whether the package "compat-libstdc++-33-3.2.3" is available on the system.
      INFO: Severity:IGNORABLE
      INFO: OverallStatus:VERIFICATION_FAILED
      INFO: -----------------------------------------------
      INFO: Verification Result for Node:dev01-cs-ord1
      INFO: Expected Value:compat-libstdc++-33-3.2.3 (i386)
      INFO: Actual Value:missing
      INFO: Error Message:PRVF-7532 : Package "compat-libstdc++-33-3.2.3 (i386)" is missing on node "dev01-cs-ord1"
      INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
      INFO: Action: Ensure that the required package is installed and available.
      INFO: *********************************************
      INFO: Package: libgcc-3.4.6: This is a prerequisite condition to test whether the package "libgcc-3.4.6" is available on the system.
      INFO: Severity:IGNORABLE
      INFO: OverallStatus:VERIFICATION_FAILED
      INFO: -----------------------------------------------
      INFO: Verification Result for Node:dev01-cs-ord1
      INFO: Expected Value:libgcc-3.4.6 (i386)
      INFO: Actual Value:missing
      INFO: Error Message:PRVF-7532 : Package "libgcc-3.4.6 (i386)" is missing on node "dev01-cs-ord1"
      INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
      INFO: Action: Ensure that the required package is installed and available.
      INFO: *********************************************
      INFO: Package: unixODBC-2.2.11: This is a prerequisite condition to test whether the package "unixODBC-2.2.11" is available on the system.
      INFO: Severity:IGNORABLE
      INFO: OverallStatus:VERIFICATION_FAILED
      INFO: -----------------------------------------------
      INFO: Verification Result for Node:dev01-cs-ord1
      INFO: Expected Value:unixODBC-2.2.11 (i386)
      INFO: Actual Value:missing
      INFO: Error Message:PRVF-7532 : Package "unixODBC-2.2.11 (i386)" is missing on node "dev01-cs-ord1"
      INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
      INFO: Action: Ensure that the required package is installed and available.
      INFO: *********************************************
      INFO: Package: pdksh-5.2.14: This is a prerequisite condition to test whether the package "pdksh-5.2.14" is available on the system.
      INFO: Severity:IGNORABLE
      INFO: OverallStatus:VERIFICATION_FAILED
      INFO: -----------------------------------------------
      INFO: Verification Result for Node:dev01-cs-ord1
      INFO: Expected Value:pdksh-5.2.14
      INFO: Actual Value:missing
      INFO: Error Message:PRVF-7532 : Package "pdksh-5.2.14" is missing on node "dev01-cs-ord1"
      INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
      INFO: Action: Ensure that the required package is installed and available.
      --------------------------------------------

      Interesting thing, that that most of these packages are already installed, but the version is newer than what installer is looking for.

      My questions:

      1. Do I really need to install the exact version of each package or is there a way to instruct the installer just use the latest?
      2. Isn't "yum install oracle-rdbms-server-11gR2-preinstall.x86_64" supposed to install all required packages for me, so I don't deal with these kind of errors?
      3. Can I ignore the errors with "Severity: Ignorable"?

      Thank you very much for your help in advance.
        • 1. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
          sb92075
          soft links should be established to have OUI not complain about missing packages
          • 2. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
            741640
            Would you be so kind to give me an example for glibc? Here is what I have on the system:

            #> yum info glibc
            Loaded plugins: fastestmirror, priorities
            Loading mirror speeds from cached hostfile
            * base: yum.singlehop.com
            * epel: mirrors.servercentral.net
            * extras: mirror.wiredtree.com
            * updates: mirror.ubiquityservers.com
            13775 packages excluded due to repository priority protections
            Installed Packages
            Name : glibc
            Arch : x86_64
            Version : 2.12
            Release : 1.80.el6_3.6
            Size : 12 M
            Repo : installed
            From repo : updates
            Summary : The GNU libc libraries
            URL : http://sources.redhat.com/glibc/
            License : LGPLv2+ and LGPLv2+ with exceptions and GPLv2+
            Description : The glibc package contains standard libraries which are used by
            : multiple programs on the system. In order to save disk space and
            : memory, as well as to make upgrading easier, common system code is
            : kept in one place and shared between programs. This particular package
            : contains the most important sets of shared libraries: the standard C
            : library and the standard math library. Without these two libraries, a
            : Linux system will not function.

            --------------

            #> find / -name "glibc*"
            /usr/sbin/glibc_post_upgrade.x86_64
            /usr/share/doc/glibc-2.12
            /usr/share/doc/glibc-common-2.12

            Where and how would I create the soft link for the installer that is looking for glibc-2.3.4-2.41 (i686)?

            Thanks.
            • 3. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
              Srini Chavali-Oracle
              colddata wrote:
              Hello,
              I am having hard time installing Oracle 11g R2 (11.2.0.1.0) on CentOs 6.3 64-bit. I've ran the following command to check and install all prerequisites.
              Most likely because CentOS is not a certified distro - http://docs.oracle.com/cd/E11882_01/install.112/e24321/pre_install.htm#CHDFFBIF

              Other people have attempted this, some successfully - since CentOS is not certified, the software may not install or work as advertised.

              https://forums.oracle.com/forums/search.jspa?threadID=&q=centos&objID=f64&dateRange=thisyear&userID=&numResults=15

              #> yum install oracle-rdbms-server-11gR2-preinstall.x86_64

              However when I run the installer:

              #> ./runInstaller -silent -force \
              FROM_LOCATION=/tmp/database/stage/products.xml \
              oracle.install.option=INSTALL_DB_SWONLY \
              UNIX_GROUP_NAME=oinstall \
              ORACLE_HOME=/data01/app/oracle/product/11.2.0/db_1 \
              ORACLE_HOME_NAME="db_1" \
              ORACLE_BASE=/data01/app/oracle \
              oracle.install.db.InstallEdition=SE \
              oracle.install.db.isCustomInstall=false \
              oracle.install.db.DBA_GROUP=dba \
              oracle.install.db.OPER_GROUP=dba \
              DECLINE_SECURITY_UPDATES=true

              it fails at checking prerequisites and I see the following messages in the log:

              ---------------------------------------
              INFO: Physical Memory: This is a prerequisite condition to test whether the system has at least 1GB (1048576.0KB) of total physical memory.
              INFO: Severity:IGNORABLE
              INFO: OverallStatus:VERIFICATION_FAILED
              INFO: -----------------------------------------------
              INFO: Verification Result for Node:dev01-cs-ord1
              INFO: Expected Value:1GB (1048576.0KB)
              INFO: Actual Value:992.41MB (1016228.0KB)
              INFO: Error Message:PRVF-7530 : Sufficient physical memory is not available on node "dev01-cs-ord1" [Required physical memory = 1GB (1048576.0KB)]
              INFO: Cause: Amount of physical memory (RAM) found does not meet minimum memory requirements.
              INFO: Action: Add physical memory (RAM) to the node specified.
              INFO: *********************************************
              INFO: Package: libaio-0.3.105: This is a prerequisite condition to test whether the package "libaio-0.3.105" is available on the system.
              INFO: Severity:IGNORABLE
              INFO: OverallStatus:VERIFICATION_FAILED
              INFO: -----------------------------------------------
              INFO: Verification Result for Node:dev01-cs-ord1
              INFO: Expected Value:libaio-0.3.105 (i386)
              INFO: Actual Value:missing
              INFO: Error Message:PRVF-7532 : Package "libaio-0.3.105 (i386)" is missing on node "dev01-cs-ord1"
              INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
              INFO: Action: Ensure that the required package is installed and available.
              INFO: *********************************************
              INFO: Package: glibc-2.3.4-2.41: This is a prerequisite condition to test whether the package "glibc-2.3.4-2.41" is available on the system.
              INFO: Severity:CRITICAL
              INFO: OverallStatus:VERIFICATION_FAILED
              INFO: -----------------------------------------------
              INFO: Verification Result for Node:dev01-cs-ord1
              INFO: Expected Value:glibc-2.3.4-2.41 (i686)
              INFO: Actual Value:missing
              INFO: Error Message:PRVF-7532 : Package "glibc-2.3.4-2.41 (i686)" is missing on node "dev01-cs-ord1"
              INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
              INFO: Action: Ensure that the required package is installed and available.
              INFO: *********************************************
              INFO: Package: compat-libstdc++-33-3.2.3: This is a prerequisite condition to test whether the package "compat-libstdc++-33-3.2.3" is available on the system.
              INFO: Severity:IGNORABLE
              INFO: OverallStatus:VERIFICATION_FAILED
              INFO: -----------------------------------------------
              INFO: Verification Result for Node:dev01-cs-ord1
              INFO: Expected Value:compat-libstdc++-33-3.2.3 (i386)
              INFO: Actual Value:missing
              INFO: Error Message:PRVF-7532 : Package "compat-libstdc++-33-3.2.3 (i386)" is missing on node "dev01-cs-ord1"
              INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
              INFO: Action: Ensure that the required package is installed and available.
              INFO: *********************************************
              INFO: Package: libgcc-3.4.6: This is a prerequisite condition to test whether the package "libgcc-3.4.6" is available on the system.
              INFO: Severity:IGNORABLE
              INFO: OverallStatus:VERIFICATION_FAILED
              INFO: -----------------------------------------------
              INFO: Verification Result for Node:dev01-cs-ord1
              INFO: Expected Value:libgcc-3.4.6 (i386)
              INFO: Actual Value:missing
              INFO: Error Message:PRVF-7532 : Package "libgcc-3.4.6 (i386)" is missing on node "dev01-cs-ord1"
              INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
              INFO: Action: Ensure that the required package is installed and available.
              INFO: *********************************************
              INFO: Package: unixODBC-2.2.11: This is a prerequisite condition to test whether the package "unixODBC-2.2.11" is available on the system.
              INFO: Severity:IGNORABLE
              INFO: OverallStatus:VERIFICATION_FAILED
              INFO: -----------------------------------------------
              INFO: Verification Result for Node:dev01-cs-ord1
              INFO: Expected Value:unixODBC-2.2.11 (i386)
              INFO: Actual Value:missing
              INFO: Error Message:PRVF-7532 : Package "unixODBC-2.2.11 (i386)" is missing on node "dev01-cs-ord1"
              INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
              INFO: Action: Ensure that the required package is installed and available.
              INFO: *********************************************
              INFO: Package: pdksh-5.2.14: This is a prerequisite condition to test whether the package "pdksh-5.2.14" is available on the system.
              INFO: Severity:IGNORABLE
              INFO: OverallStatus:VERIFICATION_FAILED
              INFO: -----------------------------------------------
              INFO: Verification Result for Node:dev01-cs-ord1
              INFO: Expected Value:pdksh-5.2.14
              INFO: Actual Value:missing
              INFO: Error Message:PRVF-7532 : Package "pdksh-5.2.14" is missing on node "dev01-cs-ord1"
              INFO: Cause: A required package is either not installed or, if the package is a kernel module, is not loaded on the specified node.
              INFO: Action: Ensure that the required package is installed and available.
              --------------------------------------------

              Interesting thing, that that most of these packages are already installed, but the version is newer than what installer is looking for.

              My questions:

              1. Do I really need to install the exact version of each package or is there a way to instruct the installer just use the latest?
              2. Isn't "yum install oracle-rdbms-server-11gR2-preinstall.x86_64" supposed to install all required packages for me, so I don't deal with these kind of errors?
              3. Can I ignore the errors with "Severity: Ignorable"?

              Thank you very much for your help in advance.
              HTH
              Srini
              • 4. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                741640
                That would be strange. I thought CentOS was closely following RedHat releases and CentOS 6 would be pretty similar to RedHat 6. Also, I see there are instructions on the internet on how to install Oracle 11g on CentOS 6. Though all of them talk about installation in GUI environment and not at command line, but that shouldn't affect the prerequisites check in my opinion.
                • 5. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                  sb92075
                  colddata wrote:
                  That would be strange. I thought CentOS was closely following RedHat releases and CentOS 6 would be pretty similar to RedHat 6. Also, I see there are instructions on the internet on how to install Oracle 11g on CentOS 6. Though all of them talk about installation in GUI environment and not at command line, but that shouldn't affect the prerequisites check in my opinion.
                  Not all V11 versions are supported & run on RH6.
                  • 6. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                    Srini Chavali-Oracle
                    colddata wrote:
                    That would be strange. I thought CentOS was closely following RedHat releases and CentOS 6 would be pretty similar to RedHat 6.
                    Regardless, CentOS is not a supported distro.
                    Also, I see there are instructions on the internet on how to install Oracle 11g on CentOS 6. Though all of them talk about installation in GUI environment and not at command line, but that shouldn't affect the prerequisites check in my opinion.
                    There is a lot of stuff on the internet ;-) some legit, some not so legit. I am pretty confident none of the links you refer to are on an official Oracle website.

                    Currently, 11.2.0.3 is the only certified version on RH6 - http://docs.oracle.com/cd/E11882_01/relnotes.112/e23558/toc.htm#CHDFHIEA - and 11.2.0.3 is only available on My Oracle Support for customers with a paid support contract. If you are installing a version lower than 11.2.0.3, you will need to use Linux 5.x

                    HTH
                    Srini
                    • 7. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                      741640
                      Thank you Srini. Do you think it's worth trying install on CentOS 5.x? Will that be considered Linux 5 installation?
                      • 8. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                        Srini Chavali-Oracle
                        As documented above, CentOS is not a supported distro - regardless of version. Is there a reason you cannot use a supported OS ?

                        HTH
                        Srini
                        • 9. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                          741640
                          Yes, we need to match the client's environment who's on RedHat 5. Based on my research, I found that CentOs was the closest to RH and it was free. I guess my only option is to go with RedHat 5 and paying monthly fees. Bummer.
                          • 10. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                            Srini Chavali-Oracle
                            I am no Linux expert, but OL5 is a close variant of RHEL5 - available at http://linux.oracle.com - and it is a supported OS for Oracle installs

                            HTH
                            Srini
                            • 11. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                              741640
                              I see. That's good to know. Unfortunately, our hosting provider RackSpace provides only these OSs:

                              1. ArchLinux
                              2. CentOs
                              3. Debian
                              4. Fedora
                              5. FreeBSD
                              6. Gentoo Linux
                              7. Open Suse
                              8. RedHat
                              9. Ubuntu

                              If you think any of these are close to RedHat, please let me know. Otherwise, we'll have to pay a monthly license for the RH itself.

                              Thank you.
                              • 12. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                                Srini Chavali-Oracle
                                Out of the nine listed, RH is the only one on the supported OS list currently, so looks like your choice has been made for you

                                HTH
                                Srini
                                • 13. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                                  EdStevens
                                  colddata wrote:
                                  I see. That's good to know. Unfortunately, our hosting provider RackSpace provides only these OSs:

                                  1. ArchLinux
                                  2. CentOs
                                  3. Debian
                                  4. Fedora
                                  5. FreeBSD
                                  6. Gentoo Linux
                                  7. Open Suse
                                  8. RedHat
                                  9. Ubuntu

                                  If you think any of these are close to RedHat, please let me know. Otherwise, we'll have to pay a monthly license for the RH itself.

                                  Thank you.
                                  I'd say #8 is pretty close to Red Hat ....
                                  • 14. Re: Oracle 11g R2 DB Failed Installation on CentOS 6.3
                                    741640
                                    No kidding. :) The only drawback is that this one requires a monthly license fee. Sounds like this is my only option at this point. Thank you everyone who helped me through this battle.
                                    1 2 3 4 Previous Next